Class | Bio::Genscan::Report::Gene
In: | lib/bio/appl/genscan/report.rb
Parent: | Object

# Container class of predicted gene structures.

### Methods

new set_aaseq set_naseq set_polyA set_promoter

### Attributes

aaseq | [R] | Returns Bio::FastaFormat object.
exons | [R] | Returns Array of Bio::Genscan::Report::Exon.
naseq | [R] | Returns Bio::FastaFormat object.
number | [R] | Returns "Gn", gene number field.
polyA | [R] | Returns Bio::Genscan::Report::Exon object.
promoter | [R] | Returns Bio::Genscan::Report::Exon object.

### Public Class methods

new(gn)

Bio::Genescan::Report::Gene.new(gene_number)

[Source]

         # File lib/bio/appl/genscan/report.rb, line 198
    198:       def initialize(gn)
    199:         @number = gn.to_i
    200:         @aaseq = Bio::FastaFormat.new("")
    201:         @naseq = Bio::FastaFormat.new("")
    202:         @promoter = nil
    203:         @exons    = []
    204:         @polyA    = nil
    205:       end

### Public Instance methods

set_aaseq(seq)

Bio::Genescan::Report::Gene#seq_aaseq

[Source]

         # File lib/bio/appl/genscan/report.rb, line 227
    227:       def set_aaseq(seq)
    228:         @aaseq = seq
    229:       end

set_naseq(seq)

Bio::Genescan::Report::Gene#seq_naseq

[Source]

         # File lib/bio/appl/genscan/report.rb, line 233
    233:       def set_naseq(seq)
    234:         @naseq = seq
    235:       end

set_polyA(segment)

Bio::Genescan::Report::Gene#seq_polyA

[Source]

         # File lib/bio/appl/genscan/report.rb, line 245
    245:       def set_polyA(segment)
    246:         @polyA = segment
    247:       end

set_promoter(segment)

Bio::Genescan::Report::Gene#seq_promoter

[Source]

         # File lib/bio/appl/genscan/report.rb, line 239
    239:       def set_promoter(segment)
    240:         @promoter = segment
    241:       end

[Validate]